Rename object type
curl --request PUT \
--url https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId} \
--header 'Content-Type: application/json' \
--data '
{
"pluralLabel": "<string>",
"singularLabel": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}"
payload = {
"pluralLabel": "<string>",
"singularLabel": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pluralLabel: '<string>', singularLabel: '<string>'})
};
fetch('https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'pluralLabel' => '<string>',
'singularLabel' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}"
payload := strings.NewReader("{\n \"pluralLabel\": \"<string>\",\n \"singularLabel\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}")
.header("Content-Type", "application/json")
.body("{\n \"pluralLabel\": \"<string>\",\n \"singularLabel\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pluralLabel\": \"<string>\",\n \"singularLabel\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"proposedPropertyLabelChangesByInternalNameByObjectTypeId": {}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}CRM Data Model
Rename object type
Renames the object type, changing its singular and plural labels.
PUT
/
crm
/
object-library
/
2027-03-beta
/
rename
/
{objectTypeId}
Rename object type
curl --request PUT \
--url https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId} \
--header 'Content-Type: application/json' \
--data '
{
"pluralLabel": "<string>",
"singularLabel": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}"
payload = {
"pluralLabel": "<string>",
"singularLabel": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({pluralLabel: '<string>', singularLabel: '<string>'})
};
fetch('https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'pluralLabel' => '<string>',
'singularLabel' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}"
payload := strings.NewReader("{\n \"pluralLabel\": \"<string>\",\n \"singularLabel\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}")
.header("Content-Type", "application/json")
.body("{\n \"pluralLabel\": \"<string>\",\n \"singularLabel\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/crm/object-library/2027-03-beta/rename/{objectTypeId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"pluralLabel\": \"<string>\",\n \"singularLabel\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"proposedPropertyLabelChangesByInternalNameByObjectTypeId": {}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Path Parameters
Object type ID of the object type to rename.
Body
application/json
Response
successful operation
An object mapping each object type ID to another object, which maps internal property names to their proposed label changes. Each proposed label change is represented by a PropertyLabelChange object.
Show child attributes
Show child attributes
Last modified on October 30, 2026
Was this page helpful?